Package com.google.protobuf

# Class JavaFeaturesProto.JavaFeatures

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessage
com.google.protobuf.JavaFeaturesProto.JavaFeatures

All Implemented Interfaces:
  `JavaFeaturesProto.JavaFeaturesOrBuilder`, `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Serializable`

Enclosing class:
  `JavaFeaturesProto`

public static final class JavaFeaturesProto.JavaFeatures extends GeneratedMessage implements JavaFeaturesProto.JavaFeaturesOrBuilder
Protobuf type `pb.JavaFeatures`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`JavaFeaturesProto.JavaFeatures.Builder`
Protobuf type `pb.JavaFeatures`
`static enum`
`JavaFeaturesProto.JavaFeatures.Utf8Validation`
Protobuf enum `pb.JavaFeatures.Utf8Validation`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

`GeneratedMessage.ExtendableBuilder<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessage.ExtendableBuilder<MessageT,BuilderT>>, GeneratedMessage.ExtendableMessage<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>>, GeneratedMessage.ExtendableMessageOrBuilder<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>>, GeneratedMessage.FieldAccessorTable, GeneratedMessage.GeneratedExtension<ContainingT extends Message,T>, GeneratedMessage.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessage

`AbstractMessage.BuilderParent`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`LEGACY_CLOSED_ENUM_FIELD_NUMBER`
`static final int`
`UTF8_VALIDATION_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessage

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Compares the specified object with this message for equality.
`static JavaFeaturesProto.JavaFeatures`
`getDefaultInstance()`
`JavaFeaturesProto.JavaFeatures`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`boolean`
`getLegacyClosedEnum()`
`optional bool legacy_closed_enum = 1 [json_name = "legacyClosedEnum", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`Parser<JavaFeaturesProto.JavaFeatures>`
`getParserForType()`
TODO: Remove this unnecessary intermediate implementation of this method.
`int`
`getSerializedSize()`
Get the number of bytes required to encode this message.
`JavaFeaturesProto.JavaFeatures.Utf8Validation`
`getUtf8Validation()`
`optional .pb.JavaFeatures.Utf8Validation utf8_validation = 2 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`int`
`hashCode()`
Returns the hash code value for this message.
`boolean`
`hasLegacyClosedEnum()`
`optional bool legacy_closed_enum = 1 [json_name = "legacyClosedEnum", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`boolean`
`hasUtf8Validation()`
`optional .pb.JavaFeatures.Utf8Validation utf8_validation = 2 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`static JavaFeaturesProto.JavaFeatures.Builder`
`newBuilder()`
`static JavaFeaturesProto.JavaFeatures.Builder`
`newBuilder(JavaFeaturesProto.JavaFeatures prototype)`
`JavaFeaturesProto.JavaFeatures.Builder`
`newBuilderForType()`
Constructs a new builder for a message of the same type as this message.
`protected JavaFeaturesProto.JavaFeatures.Builder`
`newBuilderForType(AbstractMessage.BuilderParent parent)`
Create a nested builder.
`static JavaFeaturesProto.JavaFeatures`
`parseDelimitedFrom(InputStream input)`
`static JavaFeaturesProto.JavaFeatures`
`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static JavaFeaturesProto.JavaFeatures`
`parseFrom(byte[] data)`
`static JavaFeaturesProto.JavaFeatures`
`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static JavaFeaturesProto.JavaFeatures`
`parseFrom(ByteString data)`
`static JavaFeaturesProto.JavaFeatures`
`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static JavaFeaturesProto.JavaFeatures`
`parseFrom(CodedInputStream input)`
`static JavaFeaturesProto.JavaFeatures`
`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static JavaFeaturesProto.JavaFeatures`
`parseFrom(InputStream input)`
`static JavaFeaturesProto.JavaFeatures`
`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static JavaFeaturesProto.JavaFeatures`
`parseFrom(ByteBuffer data)`
`static JavaFeaturesProto.JavaFeatures`
`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
`static Parser<JavaFeaturesProto.JavaFeatures>`
`parser()`
`JavaFeaturesProto.JavaFeatures.Builder`
`toBuilder()`
Constructs a builder initialized with the current message.
`void`
`writeTo(CodedOutputStream output)`
Serializes the message and writes it to `output`.

### Methods inherited from class com.google.protobuf.GeneratedMessage

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, newFileScopedGeneratedExtension, newInstance, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashFields, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### LEGACY_CLOSED_ENUM_FIELD_NUMBER

public static final int LEGACY_CLOSED_ENUM_FIELD_NUMBER

See Also:
  - Constant Field Values

### UTF8_VALIDATION_FIELD_NUMBER

public static final int UTF8_VALIDATION_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage`

### hasLegacyClosedEnum

public boolean hasLegacyClosedEnum()
`optional bool legacy_closed_enum = 1 [json_name = "legacyClosedEnum", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Specified by:
  `hasLegacyClosedEnum` in interface `JavaFeaturesProto.JavaFeaturesOrBuilder`
Returns:
  Whether the legacyClosedEnum field is set.

### getLegacyClosedEnum

public boolean getLegacyClosedEnum()
`optional bool legacy_closed_enum = 1 [json_name = "legacyClosedEnum", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Specified by:
  `getLegacyClosedEnum` in interface `JavaFeaturesProto.JavaFeaturesOrBuilder`
Returns:
  The legacyClosedEnum.

### hasUtf8Validation

public boolean hasUtf8Validation()
`optional .pb.JavaFeatures.Utf8Validation utf8_validation = 2 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Specified by:
  `hasUtf8Validation` in interface `JavaFeaturesProto.JavaFeaturesOrBuilder`
Returns:
  Whether the utf8Validation field is set.

### getUtf8Validation

public JavaFeaturesProto.JavaFeatures.Utf8Validation getUtf8Validation()
`optional .pb.JavaFeatures.Utf8Validation utf8_validation = 2 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Specified by:
  `getUtf8Validation` in interface `JavaFeaturesProto.JavaFeaturesOrBuilder`
Returns:
  The utf8Validation.

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage`

### writeTo

public void writeTo(CodedOutputStream output) throws IOException
Description copied from interface: `MessageLite`
Serializes the message and writes it to `output`. This does not flush or close the stream.

Specified by:
  `writeTo` in interface `MessageLite`
Overrides:
  `writeTo` in class `GeneratedMessage`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()
Description copied from interface: `MessageLite`
Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that. If this message requires more than Integer.MAX_VALUE bytes to encode, the return value will be smaller than the actual number of bytes required and might be negative.

Specified by:
  `getSerializedSize` in interface `MessageLite`
Overrides:
  `getSerializedSize` in class `GeneratedMessage`

### equals

public boolean equals(Object obj)
Description copied from interface: `Message`
Compares the specified object with this message for equality. Returns `true` if the given object is a message of the same type (as defined by `getDescriptorForType()`) and has identical values for all of its fields. Subclasses must implement this; inheriting `Object.equals()` is incorrect.

Specified by:
  `equals` in interface `Message`
Overrides:
  `equals` in class `AbstractMessage`
Parameters:
  `obj` - object to be compared for equality with this message
Returns:
  `true` if the specified object is equal to this message

### hashCode

public int hashCode()
Description copied from interface: `Message`
Returns the hash code value for this message. The hash code of a message should mix the message's type (object identity of the descriptor) with its contents (known and unknown field values). Subclasses must implement this; inheriting `Object.hashCode()` is incorrect.

Specified by:
  `hashCode` in interface `Message`
Overrides:
  `hashCode` in class `AbstractMessage`
Returns:
  the hash code value for this message
See Also:
  - `Map.hashCode()`

### parseFrom

public static JavaFeaturesProto.JavaFeatures parseFrom(ByteBuffer data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static JavaFeaturesProto.JavaFeatures parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static JavaFeaturesProto.JavaFeatures parseFrom(ByteString data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static JavaFeaturesProto.JavaFeatures parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static JavaFeaturesProto.JavaFeatures parseFrom(byte[] data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static JavaFeaturesProto.JavaFeatures parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static JavaFeaturesProto.JavaFeatures parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static JavaFeaturesProto.JavaFeatures parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static JavaFeaturesProto.JavaFeatures parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static JavaFeaturesProto.JavaFeatures parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static JavaFeaturesProto.JavaFeatures parseFrom(CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static JavaFeaturesProto.JavaFeatures parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public JavaFeaturesProto.JavaFeatures.Builder newBuilderForType()
Description copied from interface: `MessageLite`
Constructs a new builder for a message of the same type as this message.

Specified by:
  `newBuilderForType` in interface `Message`
Specified by:
  `newBuilderForType` in interface `MessageLite`

### newBuilder

public static JavaFeaturesProto.JavaFeatures.Builder newBuilder()

### newBuilder

public static JavaFeaturesProto.JavaFeatures.Builder newBuilder(JavaFeaturesProto.JavaFeatures prototype)

### toBuilder

public JavaFeaturesProto.JavaFeatures.Builder toBuilder()
Description copied from interface: `MessageLite`
Constructs a builder initialized with the current message. Use this to derive a new message from the current one.

Specified by:
  `toBuilder` in interface `Message`
Specified by:
  `toBuilder` in interface `MessageLite`

### newBuilderForType

protected JavaFeaturesProto.JavaFeatures.Builder newBuilderForType(AbstractMessage.BuilderParent parent)
Description copied from class: `AbstractMessage`
Create a nested builder.

Overrides:
  `newBuilderForType` in class `AbstractMessage`

### getDefaultInstance

public static JavaFeaturesProto.JavaFeatures getDefaultInstance()

### parser

public static Parser<JavaFeaturesProto.JavaFeatures> parser()

### getParserForType

public Parser<JavaFeaturesProto.JavaFeatures> getParserForType()
Description copied from class: `GeneratedMessage`
TODO: Remove this unnecessary intermediate implementation of this method.

Specified by:
  `getParserForType` in interface `Message`
Specified by:
  `getParserForType` in interface `MessageLite`
Overrides:
  `getParserForType` in class `GeneratedMessage`

### getDefaultInstanceForType

public JavaFeaturesProto.JavaFeatures getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`